## r-cran-isoband 0.2.3

=== DESCRIPTION ===
Package: isoband
Title: Generate Isolines and Isobands from Regularly Spaced Elevation
        Grids
Version: 0.2.3
Authors@R: 
    c(person(given = "Claus O.",
             family = "Wilke",
             role = c("aut", "cre"),
             email = "wilke@austin.utexas.edu",
             comment = c(ORCID = "0000-0002-7470-9261")),
      person(given = "Thomas Lin",
             family = "Pedersen",
             role = "aut",
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")))
Description: A fast C++ implementation to generate contour lines (isolines) and
  contour polygons (isobands) from regularly spaced grids containing elevation data.
URL: https://github.com/wilkelab/isoband
BugReports: https://github.com/wilkelab/isoband/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
LinkingTo: testthat
Imports: grid, utils
RoxygenNote: 7.1.1
Config/testthat/edition: 3
Suggests: covr, ggplot2, knitr, magick, microbenchmark, rmarkdown, sf,
        testthat, xml2
SystemRequirements: C++11
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-12-01 05:49:15 UTC; clauswilke
Author: Claus O. Wilke [aut, cre] (<https://orcid.org/0000-0002-7470-9261>),
  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>)
Maintainer: Claus O. Wilke <wilke@austin.utexas.edu>
Repository: CRAN
Date/Publication: 2020-12-01 10:10:03 UTC

## r-cran-isoband 0.2.2

=== debian/changelog ===
r-cran-isoband (0.2.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 16:09:38 +0200

r-cran-isoband (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 10:25:26 +0200

r-cran-isoband (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Remove patch to skip test on x86_64 architectures, upstream fixed.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Apr 2020 20:37:46 +0200

r-cran-isoband (0.2.0-3) unstable; urgency=medium

  * Add patch to skip a test if running on non x86_64 architectures.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Apr 2020 18:01:50 +0200

r-cran-isoband (0.2.0-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 21:25:01 +0200

r-cran-isoband (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #954853)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Mar 2020 14:29:41 +0100

=== debian/control ===
Source: r-cran-isoband
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-testthat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
Homepage: https://cran.r-project.org/package=isoband
Rules-Requires-Root: no

Package: r-cran-isoband
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Generate Isolines and Isobands from Regularly Spaced Elevation
 Grids A fast C++ implementation to generate contour lines
 (isolines) and contour polygons (isobands) from regularly spaced
 grids containing elevation data.

## r-cran-isoband 0.2.3

=== debian/changelog ===
r-cran-isoband (0.2.3-2) unstable; urgency=medium

  * Team Upload.
  * Harden dependency on r-cran-testthat

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 16 Dec 2020 11:41:17 +0530

r-cran-isoband (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Test Depends

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 03 Dec 2020 16:08:23 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-testthat
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
 Homepage: https://cran.r-project.org/package=isoband

## r-cran-isoband 0.2.5

=== DESCRIPTION ===
Package: isoband
Title: Generate Isolines and Isobands from Regularly Spaced Elevation
        Grids
Version: 0.2.5
Authors@R: 
    c(person(given = "Claus O.",
             family = "Wilke",
             role = c("aut", "cre"),
             email = "wilke@austin.utexas.edu",
             comment = c(ORCID = "0000-0002-7470-9261")),
      person(given = "Thomas Lin",
             family = "Pedersen",
             role = "aut",
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person(given = "testthat and Catch authors",
             role = "ctb",
             comment = "testthat C++ testing code"))
Description: A fast C++ implementation to generate contour lines (isolines) and
  contour polygons (isobands) from regularly spaced grids containing elevation data.
URL: https://wilkelab.org/isoband/
BugReports: https://github.com/wilkelab/isoband/issues
License: MIT + file LICENSE
Encoding: UTF-8
Imports: grid, utils
RoxygenNote: 7.1.1
Config/testthat/edition: 3
Suggests: covr, ggplot2, knitr, magick, microbenchmark, rmarkdown, sf,
        testthat, xml2
SystemRequirements: C++11
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-07-12 20:44:13 UTC; clauswilke
Author: Claus O. Wilke [aut, cre] (<https://orcid.org/0000-0002-7470-9261>),
  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
  testthat and Catch authors [ctb] (testthat C++ testing code)
Maintainer: Claus O. Wilke <wilke@austin.utexas.edu>
Repository: CRAN
Date/Publication: 2021-07-13 04:50:13 UTC

=== debian/changelog ===
r-cran-isoband (0.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 17:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
-               r-cran-testthat
-Standards-Version: 4.5.1
+               r-base-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
 Homepage: https://cran.r-project.org/package=isoband

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat (>= 3.0.0~), r-cran-xml2
Restrictions: allow-stderr

## r-cran-isoband 0.2.7

=== DESCRIPTION ===
Package: isoband
Title: Generate Isolines and Isobands from Regularly Spaced Elevation
        Grids
Version: 0.2.7
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Claus O.", "Wilke", , "wilke@austin.utexas.edu", role = "aut",
           comment = c("Original author", ORCID = "0000-0002-7470-9261")),
    person("Thomas Lin", "Pedersen", , "thomasp85@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-5147-4711"))
  )
Description: A fast C++ implementation to generate contour lines
    (isolines) and contour polygons (isobands) from regularly spaced grids
    containing elevation data.
License: MIT + file LICENSE
URL: https://isoband.r-lib.org
BugReports: https://github.com/r-lib/isoband/issues
Imports: grid, utils
Suggests: covr, ggplot2, knitr, magick, microbenchmark, rmarkdown, sf,
        testthat, xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-12-19 20:10:02 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Claus O. Wilke [aut] (Original author,
    <https://orcid.org/0000-0002-7470-9261>),
  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2022-12-20 10:00:13 UTC

=== debian/changelog ===
r-cran-isoband (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2022 06:19:29 +0100

r-cran-isoband (0.2.6-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 12:03:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-isoband
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
+Homepage: https://cran.r-project.org/package=isoband
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
-Homepage: https://cran.r-project.org/package=isoband
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-isoband
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/isoband_([-\d.]*)\.tar\.gz

## r-cran-isoband 0.3.0

=== DESCRIPTION ===
Package: isoband
Title: Generate Isolines and Isobands from Regularly Spaced Elevation
        Grids
Version: 0.3.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Claus O.", "Wilke", , "wilke@austin.utexas.edu", role = "aut",
           comment = c("Original author", ORCID = "0000-0002-7470-9261")),
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Posit, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: A fast C++ implementation to generate contour lines
    (isolines) and contour polygons (isobands) from regularly spaced grids
    containing elevation data.
License: MIT + file LICENSE
URL: https://isoband.r-lib.org, https://github.com/r-lib/isoband
BugReports: https://github.com/r-lib/isoband/issues
Imports: cli, grid, rlang, utils
Suggests: covr, ggplot2, knitr, magick, bench, rmarkdown, sf, testthat
        (>= 3.0.0), xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-12-05
Encoding: UTF-8
RoxygenNote: 7.3.3
Config/build/compilation-database: true
LinkingTo: cpp11
NeedsCompilation: yes
Packaged: 2025-12-05 12:52:07 UTC; thomas
Author: Hadley Wickham [aut] (ORCID: <https://orcid.org/0000-0003-4757-117X>),
  Claus O. Wilke [aut] (Original author, ORCID:
    <https://orcid.org/0000-0002-7470-9261>),
  Thomas Lin Pedersen [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-5147-4711>),
  Posit, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Repository: CRAN
Date/Publication: 2025-12-07 06:10:07 UTC

=== debian/changelog ===
r-cran-isoband (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 11:39:41 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: r-cran-isoband
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli,
+               r-cran-rlang,
+               r-cran-cpp11,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isoband
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isoband.git
 Homepage: https://cran.r-project.org/package=isoband
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-isoband
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-magick,
        r-cran-bench,
        r-cran-rmarkdown,
        r-cran-sf,
        r-cran-testthat (>= 3.0.0),
        r-cran-xml2
Restrictions: allow-stderr
